| Home | Libraries | People | FAQ | More

## Function template icontains

boost::algorithm::icontains — 'Contains' predicate ( case insensitive )

## Synopsis

    // In header: <boost/algorithm/string/predicate.hpp>

    template<typename Range1T, typename Range2T>
      bool icontains(const Range1T & Input, const Range2T & Test,
                     const std::locale & Loc = std::locale());

## Description

This predicate holds when the test container is contained in the Input. Elements are compared case insensitively.

Parameters: |
`Input` | An input sequence
`Loc` | A locale used for case insensitive comparison
`Test` | A test sequence
Returns: | The result of the test
Notes: | This function provides the strong exception-safety guarantee